# Start email sending - ExportAPI Description

ExportAPI is a function that allows the contractor to export the body in JSON format based on the information set through the export\_api\_info parameter value at the start of the non-face-to-face contract.

If you enter "embed" instead of custom in request\_code, the contract progress URL will be exported and KakaoTalk and email notifications will not be sent to the contractor. This function is used when shipping separately from the customer based on the URL received.

If using embedded code, we provide the contract start URL with a response upon initial non-face-to-face contact call, and whenever the signer approves or rejects the contract, we provide the progress URL to export and the contractor's number or email that you entered (e-mail if called, number if called by number) Download documents so that documents can be downloaded at the end of the contract, and provide a history certificate download URL.

## Parameter&#x20;

| **Parameter Name**                                   | DataType | Required | **Description**                                                                                                                                             |
| ---------------------------------------------------- | -------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| export\_api\_info                                    | Array    | Optional | <p>The value that you set when you export the created data.</p><p>( like webhook )</p>                                                                      |
| export\_api\_info.api\_type                          | String   | Required | "StartAndEnd" ( Start and End step) or "ALL" ( ALL step )                                                                                                   |
| export\_api\_info.url                                | String   | Required | URL to receive data from                                                                                                                                    |
| export\_api\_info.request\_code                      | String   | Optional | Return The Value You Want to Receive or "embed"( See ExportAPI  Description)                                                                                |
| export\_api\_info.clientid                           | String   | Optional | ID issued by esignon ([question ](https://esignon.net/en/customer/)for issue)                                                                               |
| export\_api\_info.authorization                      | String   | Optional | The value you want to set to header authorization when receiving data                                                                                       |
| export\_api\_info.request\_params                    | Array    | Optional | Use when you want to get a specific value inside a document.                                                                                                |
| export\_api\_info.request\_params.param\_id          | String   | Required | Name of parameter to receive (custom)                                                                                                                       |
| export\_api\_info.request\_params.param\_value       | String   | Required | Default value to be obtained if the value to be obtained from Params.fields is not in the document                                                          |
| export\_api\_info.request\_params.fields             | Array    | Required | The value entered instead of param\_value if the value corresponding to the field name exists in the document by querying the field name inside the format. |
| export\_api\_info.request\_params.fields.doc\_id     | String   | Required | templateID                                                                                                                                                  |
| export\_api\_info.request\_params.fields.field\_name | String   | Required | template field name                                                                                                                                         |

## export\_api Response)&#x20;

```javascript
{
	"header": {
		"api_name": "export",
		"session_id": "S1001",
		"request_code": "{ Value set at request }"
	},
	"body": {
		"wfluid": "0", 
		"clientid": "{ Unique ID for using eSignonAPI }",
		"processid": "1", //Progress stage delimited value of document
		"requestid": "{ header's request_code }",
		"actionid": "1", //Progress stage delimited value of document
		"workdatetime": "2020-01-31 04:23:28.0", //Completion time
		"worktype": "CF", //CF=Approval, RT=turn back( If the original contractor returns the document, it will be canceled.)
		"wfuid": "{}", // Document ID
		"useremail": "{ Signer email }", 
		"opinion": "", //When approving or returning, print when customers use a return message or a transmission message.
		"param_id": "param_value" // filed_name exist - param_id:field_value return
	}
}
```

## Export\_api Response Example) When code-embedded (Playing)

```javascript
{
	"header": {
		"api_name": "export",
		"session_id": "S1001",
		"request_code": "{embed}"
	},
	"body": {
		"wfluid": "0",
		"clientid": "{ Unique ID for using eSignonAPI }",
		"processid": "1", //Progress stage delimited value of document
		"requestid": "{ embed }",
		"actionid": "1", //Progress stage delimited value of document
		"workdatetime": "2020-01-31 04:23:28.0", //Completion time
		"worktype": "CF",//CF=Approval, RT=turn back( If the original contractor returns the document, it will be canceled.)
		"wfuid": "{}", //Document ID
		"useremail": "{ Signer email }", 
		"opinion": "", //When approving or returning, print when customers use a return message or a transmission message.
		"param_id": "param_value",
		"next_play_user":"{Email to sign next}",
		"play_url":"{URLs to be passed to customers to sign next}",
		"status":"{Playing}", // progress status
		"next_user_name":"{Next Signer Name}",
		"user_name":"{Current Signer Name}"
	}
}
```

## Export\_api Response Example) When code-embedded (Complete)

```javascript
{
	"header": {
		"api_name": "export",
		"session_id": "S1001",
		"request_code": "{embed}"
	},
	"body": {
		"wfluid": "0",
		"clientid": "{ Unique ID for using eSignonAPI }",
		"processid": "1", //Progress stage delimited value of document
		"requestid": "{ embed }",
		"actionid": "1", //Progress stage delimited value of document
		"workdatetime": "2020-01-31 04:23:28.0", //Completion time
		"worktype": "CF",//CF=Approval, RT=turn back( If the original contractor returns the document, it will be canceled.)
		"wfuid": "{}", //Document ID
		"useremail": "{ Signer email }", 
		"opinion": "", //When approving or returning, print when customers use a return message or a transmission message.
		"param_id": "param_value",
		"cert_url":"{History Certificate Download URL}",
		"download_url":"{Document Download URL}",
		"status":"{Playing}", // progress status
		"user_name":"{Current Signer Name}"
	}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/eng-1/workflow/start/exportapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
